
.album {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(130px, 1fr));
  gap: 1.5vw;
  margin: 15px 0;
}
.album-item {
  position: relative;
  /* aspect-ratio: 1; */
  overflow: hidden;
}
.album-item img.thumb {
  width: 100%;
  display: block;
  transition: transform 0.3s;
}
.album-item:hover img.thumb {
  transform: scale(1.2);
}
.album-item a {
  display: flex;
  align-items: center;
  justify-content: center;
  position: absolute;
  inset: 0;
  background: rgba(255,255,255,0.8);
  transition: opacity 0.3s;
  opacity: 0;
}
.album-item:hover a {
  opacity: 1;
}
.album-item img.glass {
  height: 50%;
}

.album-modal {
  display: none;
  position: fixed;
  inset: 0;
  background: rgba(255,255,255,0.9);
  z-index: 1;
}
.album-modal > div {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  position: relative;
  margin: 0 auto;
  max-width: 1200px;
  height: 100%;
}
.album-modal img.album-photo {
  max-width: 100%;
  min-height: 0;
}
.album-modal div.album-caption {
  padding: 8px;
  color: var(--spot-color);
  font-weight: 400;
}
.album-modal a.red-btn {
  display: none;
  position: absolute;
}
.album-modal #album-close {
  display: flex;
  top: 10px;
  right: 10px;
}
.album-modal #album-prev {
  left: 10px;
}
.album-modal #album-next {
  right: 10px;
}
.album-modal #album-down {
  display: flex;
  bottom: 10px;
  right: 10px;
}

@media screen and ( min-width: 576px ) {
}

@media screen and ( min-width: 768px ) {
  .album {
    gap: calc(1.5 * (min(1200px,100vw) - 300px) / 100);
  }
}

@media screen and ( min-width: 992px ) {
}
